image: node:buster

variables:
  SITE_NAME: styleguide.pir-test.eu
  ARTIFACTS_PATH: public
  WEBHOOK_URL: https://ha-web.pirati.cz

before_script:
  - apt-get update && DEBIAN_FRONTEND=noninteractive apt-get install -yq curl

build:
  stage: build
  script:
    - npm install
    - npm run build
  after_script:
    - TAG=`git describe --tags $(git rev-list --tags --max-count=1)`
    - echo "{\"name\":\"$SITE_NAME\", \"tag\":\"$TAG\" }" > request.json
    - "curl -H 'Content-Type: application/json' -X POST -d @request.json $WEBHOOK_URL"
  artifacts:
    expire_in: 30 min
    paths:
     - $ARTIFACTS_PATH

